# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name yaml

Name:           ghc-%{pkg_name}
Version:        0.8.5.3
Release:        2%{?dist}
Summary:        Support for parsing and rendering YAML documents

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  chrpath
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  pkgconfig(yaml-0.1)
# End cabal-rpm deps
# conduit not available
ExcludeArch:    armv7hl

%description
Provides support for parsing and emitting Yaml documents.

The package is broken down into two modules. "Data.Yaml" provides a high-level
interface based around the JSON datatypes provided by the aeson package.
"Text.Libyaml" provides a lower-level, streaming interface. For most users,
"Data.Yaml" is recommended.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       pkgconfig(yaml-0.1)
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

cabal-tweak-flag system-libyaml True
# remove the bundled lib
rm -r libyaml


%build
%ghc_lib_build


%install
%ghc_lib_install

%ghc_fix_dynamic_rpath yaml2json


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%{_bindir}/yaml2json


%changelog
* Thu Nov 24 2016 Jens Petersen <petersen@redhat.com> - 0.8.5.3-2
- rebuild

* Wed Jan 22 2014 Jens Petersen <petersen@redhat.com> - 0.8.5.3-1
- update to 0.8.5.3

* Thu Dec 5 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.8.5.2-1
- Latest upstream version.

* Tue Nov 19 2013 Jens Petersen <petersen@redhat.com> - 0.8.5-3
- run chrpath on yaml2json (#1008787)

* Wed Oct 16 2013 Jens Petersen <petersen@redhat.com> - 0.8.5-2
- add static provides and pkgconfig requires to devel

* Tue Sep 17 2013 Jens Petersen <petersen@redhat.com> - 0.8.5-1
- build with system libyaml
- package yaml2json in devel subpackage
- exclude armv7hl because of conduit

* Tue Sep 17 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.8.5-0
- spec file generated by cabal-rpm-0.8.3
